<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>LWPR Library: Globals</title>

<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css" />



</head>
<body>
<div id="top"><!-- do not remove this div! -->


<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  
  
  <td style="padding-left: 0.5em;">
   <div id="projectname">LWPR Library
   &#160;<span id="projectnumber">1.2.4</span>
   </div>
   
  </td>
  
  
  
 </tr>
 </tbody>
</table>
</div>

<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<div class="textblock">Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:</div>

<h3><a class="anchor" id="index_d"></a>- d -</h3><ul>
<li>doubleVec
: <a class="el" href="group__LWPR__CPP.html#gad683d2318af954b2d2245b5a4b328e92">lwpr.hh</a>
</li>
</ul>


<h3><a class="anchor" id="index_l"></a>- l -</h3><ul>
<li>lwpr_aux_add_rf()
: <a class="el" href="lwpr__aux_8h.html#a62f2e9a9e301b9171c3595d9bc75ecae">lwpr_aux.h</a>
</li>
<li>lwpr_aux_check_add_projection()
: <a class="el" href="lwpr__aux_8h.html#aeab7c60d00cbf3e548d6e161f45355ff">lwpr_aux.h</a>
</li>
<li>lwpr_aux_compute_projection()
: <a class="el" href="lwpr__aux_8h.html#a349cf0a19f3adf1390cd563371ae1c09">lwpr_aux.h</a>
</li>
<li>lwpr_aux_compute_projection_d()
: <a class="el" href="lwpr__aux_8h.html#a9aef7c611004bc4f8d5dc4ca734f6b60">lwpr_aux.h</a>
</li>
<li>lwpr_aux_compute_projection_r()
: <a class="el" href="lwpr__aux_8h.html#af491d26df26d8bafb09619d28c4d930e">lwpr_aux.h</a>
</li>
<li>lwpr_aux_dist_derivatives()
: <a class="el" href="lwpr__aux_8h.html#ad07288f3b3d337977f5bf27be26d6730">lwpr_aux.h</a>
</li>
<li>lwpr_aux_init_rf()
: <a class="el" href="lwpr__aux_8h.html#a56aaf5472eb900a3de88a8149429c16f">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_conf_one_T()
: <a class="el" href="lwpr__aux_8h.html#a7ea31854a945f1aefcfa229a187881f6">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one()
: <a class="el" href="lwpr__aux_8h.html#af5f02e201092ab04f84cb83f504b910a">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one_gH()
: <a class="el" href="lwpr__aux_8h.html#a76f0f6907c1d1403b4c34a3cc70bd1d9">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one_gH_T()
: <a class="el" href="lwpr__aux_8h.html#a8f8f3e8c80db788c26b310f04ff9ec72">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one_J()
: <a class="el" href="lwpr__aux_8h.html#aa4410904c6e9c99edc106f93423fb5b1">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one_J_T()
: <a class="el" href="lwpr__aux_8h.html#a88481908266d926a43db7937161e95d2">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one_JcJ()
: <a class="el" href="lwpr__aux_8h.html#a62f005d165047a088a02a482e2defd7e">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one_JcJ_T()
: <a class="el" href="lwpr__aux_8h.html#a25f822a9bc73e1315237233b76244edc">lwpr_aux.h</a>
</li>
<li>lwpr_aux_predict_one_T()
: <a class="el" href="lwpr__aux_8h.html#a77298631c1ffa93960aa79e7f4a701cc">lwpr_aux.h</a>
</li>
<li>lwpr_aux_update_distance_metric()
: <a class="el" href="lwpr__aux_8h.html#af1b012779a8e12b141fe39e941da6f5f">lwpr_aux.h</a>
</li>
<li>lwpr_aux_update_means()
: <a class="el" href="lwpr__aux_8h.html#aa22ae39b036f840086440199b9b2cdd5">lwpr_aux.h</a>
</li>
<li>lwpr_aux_update_model_stats()
: <a class="el" href="lwpr__aux_8h.html#ab92ab6b194cc9c140848bc5466ce4891">lwpr_aux.h</a>
</li>
<li>lwpr_aux_update_one()
: <a class="el" href="lwpr__aux_8h.html#acd67f88303103cb6b5291b38f338eb7b">lwpr_aux.h</a>
</li>
<li>lwpr_aux_update_one_add_prune()
: <a class="el" href="lwpr__aux_8h.html#a9195392990d53aae867ca70df5c861c0">lwpr_aux.h</a>
</li>
<li>lwpr_aux_update_one_T()
: <a class="el" href="lwpr__aux_8h.html#ae592d89307e3fe3f610603d72b8ffd68">lwpr_aux.h</a>
</li>
<li>lwpr_aux_update_regression()
: <a class="el" href="lwpr__aux_8h.html#a372bb0b0dd8c58f65a1ffd949eeac610">lwpr_aux.h</a>
</li>
<li>LWPR_BISQUARE_KERNEL
: <a class="el" href="group__LWPR__C.html#gga1f22895eac9bf5440370f674f248f81da502608cb5b58ce3559a05b0b53b3eef9">lwpr.h</a>
</li>
<li>LWPR_CALLOC
: <a class="el" href="lwpr__mem_8h.html#a972fec07bda161009bfec6258e2061a5">lwpr_mem.h</a>
</li>
<li>lwpr_duplicate_model()
: <a class="el" href="group__LWPR__C.html#ga399db388667bdacbc7de8fce64ac71fe">lwpr.h</a>
</li>
<li>LWPR_FREE
: <a class="el" href="lwpr__mem_8h.html#a8c5d760bde0b45e9403ac6828035ce98">lwpr_mem.h</a>
</li>
<li>lwpr_free_model()
: <a class="el" href="group__LWPR__C.html#ga124a65ecb03d2dfc1e9de792e0c7e79a">lwpr.h</a>
</li>
<li>LWPR_GAUSSIAN_KERNEL
: <a class="el" href="group__LWPR__C.html#gga1f22895eac9bf5440370f674f248f81da5fa59513178080a60425856360e5c7e9">lwpr.h</a>
</li>
<li>lwpr_init_model()
: <a class="el" href="group__LWPR__C.html#gabf0e6a9a1dc3024f34b82c1c1e3afec1">lwpr.h</a>
</li>
<li>lwpr_io_read_int()
: <a class="el" href="lwpr__binio_8h.html#a6b94275c81e690ace3cc1972f9e3733d">lwpr_binio.h</a>
</li>
<li>lwpr_io_read_matrix()
: <a class="el" href="lwpr__binio_8h.html#aa3e4cd6b009209bf875bb75af97ce29a">lwpr_binio.h</a>
</li>
<li>lwpr_io_read_rf()
: <a class="el" href="lwpr__binio_8h.html#a60f57a4b3e93e1ce134ed98aab2b1d2e">lwpr_binio.h</a>
</li>
<li>lwpr_io_read_scalar()
: <a class="el" href="lwpr__binio_8h.html#a21b67db158ad3e544a794414d4843275">lwpr_binio.h</a>
</li>
<li>lwpr_io_read_vector()
: <a class="el" href="lwpr__binio_8h.html#a6fb30a0c77434364d7aefa80ab6626b2">lwpr_binio.h</a>
</li>
<li>lwpr_io_write_int()
: <a class="el" href="lwpr__binio_8h.html#afac46f6822c0e4aeeb4718de894e4f6e">lwpr_binio.h</a>
</li>
<li>lwpr_io_write_matrix()
: <a class="el" href="lwpr__binio_8h.html#a9b538bff31b87de74878db45721d1f6b">lwpr_binio.h</a>
</li>
<li>lwpr_io_write_rf()
: <a class="el" href="lwpr__binio_8h.html#a225e78768d523588b07c991f67e3e0c9">lwpr_binio.h</a>
</li>
<li>lwpr_io_write_scalar()
: <a class="el" href="lwpr__binio_8h.html#ab8120954d586fb6ae33ecf32d4305bf5">lwpr_binio.h</a>
</li>
<li>lwpr_io_write_vector()
: <a class="el" href="lwpr__binio_8h.html#a1f6c6a0b1a438da9384c0304dd25a1c6">lwpr_binio.h</a>
</li>
<li>LWPR_Kernel
: <a class="el" href="group__LWPR__C.html#ga1f22895eac9bf5440370f674f248f81d">lwpr.h</a>
</li>
<li>LWPR_MALLOC
: <a class="el" href="lwpr__mem_8h.html#ad89fe45491e152db38bc4db7d29526f4">lwpr_mem.h</a>
</li>
<li>lwpr_math_add_scalar_vector()
: <a class="el" href="lwpr__math_8h.html#ad805837b8bdb0f818fb4898de3398b8b">lwpr_math.h</a>
</li>
<li>lwpr_math_cholesky()
: <a class="el" href="lwpr__math_8h.html#ab531b5398da2143c9ca312d66836397f">lwpr_math.h</a>
</li>
<li>lwpr_math_dot_product()
: <a class="el" href="lwpr__math_8h.html#af59dc0eb341b4f083ed7c60c0df58f3a">lwpr_math.h</a>
</li>
<li>lwpr_math_norm2()
: <a class="el" href="lwpr__math_8h.html#a5f09c8d910199683be4f028857ef353f">lwpr_math.h</a>
</li>
<li>lwpr_math_scalar_vector()
: <a class="el" href="lwpr__math_8h.html#a35c39d5895a3541bd1e829e6014d5f70">lwpr_math.h</a>
</li>
<li>lwpr_math_scale_add_scalar_vector()
: <a class="el" href="lwpr__math_8h.html#a492130b6054768e33c101e72db8dfdce">lwpr_math.h</a>
</li>
<li>lwpr_mem_alloc_model()
: <a class="el" href="lwpr__mem_8h.html#a6868c7cdeccc0053fbb41a0db01665a6">lwpr_mem.h</a>
</li>
<li>lwpr_mem_alloc_rf()
: <a class="el" href="lwpr__mem_8h.html#a30e5e13e9f57be97e7d464294da3ccf6">lwpr_mem.h</a>
</li>
<li>lwpr_mem_alloc_sub()
: <a class="el" href="lwpr__mem_8h.html#af1f177cecdcf67d0567f0f17bf5104ec">lwpr_mem.h</a>
</li>
<li>lwpr_mem_alloc_ws()
: <a class="el" href="lwpr__mem_8h.html#a6e80d2240a0802f55e6940109dca7466">lwpr_mem.h</a>
</li>
<li>lwpr_mem_free_rf()
: <a class="el" href="lwpr__mem_8h.html#a87aa3a47b487f4d6bbf449736f0a557b">lwpr_mem.h</a>
</li>
<li>lwpr_mem_free_ws()
: <a class="el" href="lwpr__mem_8h.html#a869209fc4f4bc91de979d3fe5a1270aa">lwpr_mem.h</a>
</li>
<li>lwpr_mem_realloc_rf()
: <a class="el" href="lwpr__mem_8h.html#a347943a7a09ba4e4f39bca005b67af3f">lwpr_mem.h</a>
</li>
<li>LWPR_Model
: <a class="el" href="group__LWPR__C.html#ga5155ce64752274784d76c3989f9589dc">lwpr.h</a>
</li>
<li>lwpr_predict()
: <a class="el" href="group__LWPR__C.html#gaeb29e15d4c9d85c70df477810980a9c1">lwpr.h</a>
</li>
<li>lwpr_predict_J()
: <a class="el" href="group__LWPR__C.html#ga0e89679e6535f73c0225ea1831f9ee6f">lwpr.h</a>
</li>
<li>lwpr_predict_JcJ()
: <a class="el" href="group__LWPR__C.html#ga5a14bc171657ed2351391d390ec94f7f">lwpr.h</a>
</li>
<li>lwpr_predict_JH()
: <a class="el" href="group__LWPR__C.html#gac2ee8e05e1aa3dee9d09c159d315d622">lwpr.h</a>
</li>
<li>lwpr_read_binary()
: <a class="el" href="group__LWPR__C.html#ga0e34906e93fede7a1c2922d6fd94aa6f">lwpr_binio.h</a>
</li>
<li>lwpr_read_binary_fp()
: <a class="el" href="group__LWPR__C.html#gaa0c491cb21ba0e25c384f03ff76941d5">lwpr_binio.h</a>
</li>
<li>lwpr_read_xml()
: <a class="el" href="group__LWPR__C.html#gaba73ce4e0600f76eca4ae513aaf55ca0">lwpr_xml.h</a>
</li>
<li>LWPR_REALLOC
: <a class="el" href="lwpr__mem_8h.html#a65e5a2092c11d9fc1c10573f8f507615">lwpr_mem.h</a>
</li>
<li>LWPR_REGINCR
: <a class="el" href="lwpr_8h.html#aaec1ddcc4cbbb2ea2e08123e8848ba50">lwpr.h</a>
</li>
<li>LWPR_REGSTORE
: <a class="el" href="lwpr_8h.html#a0707dcc3ebb4f4ccec70ecb9cdd444e0">lwpr.h</a>
</li>
<li>lwpr_set_init_alpha()
: <a class="el" href="group__LWPR__C.html#ga82bbe3f6a945316c1d8be95c30b805d4">lwpr.h</a>
</li>
<li>lwpr_set_init_D()
: <a class="el" href="group__LWPR__C.html#gaa940075be3327b82bdb19257d38d64ac">lwpr.h</a>
</li>
<li>lwpr_set_init_D_diagonal()
: <a class="el" href="group__LWPR__C.html#gaaa780c71f337ca793041a323249dc1b4">lwpr.h</a>
</li>
<li>lwpr_set_init_D_spherical()
: <a class="el" href="group__LWPR__C.html#gad5036bc4a011709141de555dedd5200f">lwpr.h</a>
</li>
<li>lwpr_update()
: <a class="el" href="group__LWPR__C.html#ga860606afd6c9cdbb4600abc812298f09">lwpr.h</a>
</li>
<li>LWPR_Workspace
: <a class="el" href="lwpr__aux_8h.html#a8dd67a797af7a506fff5e434ea12a750">lwpr_aux.h</a>
</li>
<li>lwpr_write_binary()
: <a class="el" href="group__LWPR__C.html#gafe857c18c645e8287df66bb51d0518c0">lwpr_binio.h</a>
</li>
<li>lwpr_write_binary_fp()
: <a class="el" href="group__LWPR__C.html#ga45addfeef72432c1a32f180a839a3881">lwpr_binio.h</a>
</li>
<li>lwpr_write_xml()
: <a class="el" href="group__LWPR__C.html#gad2aa90e9cd94d90c343a891139dca699">lwpr_xml.h</a>
</li>
<li>lwpr_write_xml_fp()
: <a class="el" href="group__LWPR__C.html#ga542031b682bbfc95aa0306d44fc85dc9">lwpr_xml.h</a>
</li>
<li>lwpr_xml_dim_error()
: <a class="el" href="lwpr__xml_8h.html#adcc885af41b33e5433ac61a7dee408bc">lwpr_xml.h</a>
</li>
<li>lwpr_xml_end_element()
: <a class="el" href="lwpr__xml_8h.html#a456aaf68f670ad2bbe8c5b75efba33f2">lwpr_xml.h</a>
</li>
<li>lwpr_xml_error()
: <a class="el" href="lwpr__xml_8h.html#abc97c6187f30315ae9880376a51a6d2e">lwpr_xml.h</a>
</li>
<li>lwpr_xml_handle_data()
: <a class="el" href="lwpr__xml_8h.html#a89174a9951f5605abc79b0c96cc7d079">lwpr_xml.h</a>
</li>
<li>lwpr_xml_parse_matrix()
: <a class="el" href="lwpr__xml_8h.html#a030f4a8d0bddfa0f3f6f7d53c76e98c3">lwpr_xml.h</a>
</li>
<li>lwpr_xml_parse_scalar()
: <a class="el" href="lwpr__xml_8h.html#a25252679b4b3f829c1eeeade7d022f95">lwpr_xml.h</a>
</li>
<li>lwpr_xml_parse_vector()
: <a class="el" href="lwpr__xml_8h.html#a6ac32ee392381e8437fc790ade44caef">lwpr_xml.h</a>
</li>
<li>lwpr_xml_read_file_into_buffer()
: <a class="el" href="lwpr__xml_8h.html#acb816f0b3aaf09d684426446af94fa9c">lwpr_xml.h</a>
</li>
<li>lwpr_xml_report_unknown()
: <a class="el" href="lwpr__xml_8h.html#ac272fafad2e0a3c6dd867c759eb7d4f6">lwpr_xml.h</a>
</li>
<li>lwpr_xml_start_element()
: <a class="el" href="lwpr__xml_8h.html#a7a9edc9ab9ac705877e12e35b63a34ee">lwpr_xml.h</a>
</li>
<li>lwpr_xml_write_int()
: <a class="el" href="lwpr__xml_8h.html#a3fab73ac8a3d09b443b9b3886678ec1a">lwpr_xml.h</a>
</li>
<li>lwpr_xml_write_matrix()
: <a class="el" href="lwpr__xml_8h.html#a5dfaec751710a6e83dac10aff74553a5">lwpr_xml.h</a>
</li>
<li>lwpr_xml_write_rf()
: <a class="el" href="lwpr__xml_8h.html#a11261f883777073ecc3d21a969714137">lwpr_xml.h</a>
</li>
<li>lwpr_xml_write_scalar()
: <a class="el" href="lwpr__xml_8h.html#a48ba5021e081bb73bd66f3435a3959cd">lwpr_xml.h</a>
</li>
<li>lwpr_xml_write_vector()
: <a class="el" href="lwpr__xml_8h.html#a67bde412f61d98aed8443755dceee9a2">lwpr_xml.h</a>
</li>
</ul>
</div><!-- contents -->


<hr class="footer"/><address class="footer"><small>
Generated on Fri Feb 3 2012 20:15:55 for LWPR Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.7.6.1
</small></address>

</body>
</html>
